summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2023-03-16 19:53:44 +0100
committer Eric Hameleers <alien@slackware.com>2023-03-16 19:53:44 +0100
commit1cb322896b600878b330951ef4e2cbba837ae2b6 (patch)
tree3499a0a314616594bb8c9f1e214951efe060ba86
parent0e37b53e2f7699626bb10d11e5a4075218629318 (diff)
downloadliveslak-1cb322896b600878b330951ef4e2cbba837ae2b6.tar.gz
liveslak-1cb322896b600878b330951ef4e2cbba837ae2b6.tar.xz
iso2usb.sh: disable metadata_csum_seed in ext4 filesystem
Grub 2.0.6 stumbles over metadata_csum_seed which is enabled by default since E2fsprogs 1.47.0, so let's disable that too
-rw-r--r--iso2usb.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/iso2usb.sh b/iso2usb.sh
index 16b4bc0..9c81101 100644
--- a/iso2usb.sh
+++ b/iso2usb.sh
@@ -723,7 +723,14 @@ if [ $REFRESH -eq 0 ]; then
else
FEAT_64BIT="-O ^64bit"
fi
- tune2fs -c 0 -i 0 -m 0 ${FEAT_64BIT} ${TARGETP3}
+ # Grub 2.0.6 stumbles over metadata_csum_seed which is enabled by default
+ # since E2fsprogs 1.47.0, so let's disable that too:
+ if ! tune2fs -O ^metadata_csum_seed ${TARGETP3} 1>/dev/null 2>/dev/null ; then
+ FEAT_CSUM=""
+ else
+ FEAT_CSUM="-O ^metadata_csum_seed"
+ fi
+ tune2fs -c 0 -i 0 -m 0 ${FEAT_64BIT} ${FEAT_CSUM} ${TARGETP3}
else
# Determine partition names independently of storage architecture:
TARGETP1=$(fdisk -l $TARGET |grep ^$TARGET |cut -d' ' -f1 |grep -E '[^0-9]1$')